# Beakerlib Libraries

Beakerlib Libraries are used by beakerlib tests to encapsulate common complex tasks such as configuring and starting a particular daemon in a single function.

## Libraries Naming

Beakerlib libraries are named `component/library_name` and need to be unique. The component part usually maps to a koji package name in case the library provides component specific functionality. In case the library provides functionality not related to a package name - any arbitrary name can be used.

## Directory Organization

The root folder of the project should contain directories matching the component part of the library name. The library_name is the directory inside the component directory and contains the library code.


## Building RPM

The beakerlib-libraries noarch RPM is currently built in this Copr repository:

    https://copr.fedorainfracloud.org/coprs/mvadkert/beakerlib-libraries/

To build use the build_via_copr script located in the root directory of this project. Note that the script requires configured copr cli API as described in

    https://copr.fedorainfracloud.org/api/

Also build permissions are required for building, ask for permissions of the copr owner here:

    https://copr.fedorainfracloud.org/coprs/mvadkert/beakerlib-libraries/permissions/

The versioning of the RPM is taken from

    $ git tag --describe

with stripped commit number. To bump the version of the RPM increase the tag number.
